> ## Documentation Index
> Fetch the complete documentation index at: https://yieldxyz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a market

> Get one perps market by ID, including the chart display configuration.

Returns the same fields as one entry of [List markets](/api-reference/perps-api/discovery/list-markets), plus `chartConfig` (price scale, supported resolutions, intraday and daily flags). An unknown `marketId` returns `404`.


## OpenAPI

````yaml openapi-perps.json GET /v1/markets/{marketId}
openapi: 3.0.0
info:
  title: 'Yield API: Trade (Perps)'
  description: >-
    API Documentation. Errors follow a uniform envelope with `details.code` from
    the public catalog (https://docs.yield.xyz). ValidationPipe failures use
    `validation.message: string[]`.
  version: '1.0'
  contact: {}
servers:
  - url: https://perps.yield.xyz
    description: Production
security: []
tags:
  - name: Discovery
    description: Browse and discover perps markets, networks, and providers
  - name: Portfolio
    description: User-specific positions, orders, and balances
  - name: Actions
    description: Generate transactions to open, close, and manage positions
externalDocs:
  description: For more information
  url: https://docs.yield.xyz
paths:
  /v1/markets/{marketId}:
    get:
      tags:
        - Markets
        - Discovery
      summary: Get market by ID
      description: >-
        Retrieve a single market by its ID, including chart display
        configuration.
      operationId: MarketsController_getMarketById_v1
      parameters:
        - name: marketId
          required: true
          in: path
          description: The market identifier
          schema:
            type: string
            example: hyperliquid-btc-usdc
      responses:
        '200':
          description: Market details with chart config
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketDetailDto'
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 401
                  timestamp:
                    type: string
                    example: '2026-05-04T12:00:00.000Z'
                  path:
                    type: string
                    example: /v1/actions
                  message:
                    type: string
                    example: Invalid API key
                  details:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Invalid API key
                      code:
                        type: string
                        example: AUTH_INVALID_API_KEY
        '404':
          description: Market not found
        '429':
          description: Rate limit exceeded
          headers:
            x-ratelimit-limit:
              description: Request limit per window
              schema:
                type: string
            x-ratelimit-remaining:
              description: Remaining requests (will be 0)
              schema:
                type: string
            x-ratelimit-reset:
              description: Unix timestamp when window resets
              schema:
                type: string
            retry-after:
              description: Seconds to wait before retrying
              schema:
                type: string
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 429
                  timestamp:
                    type: string
                    example: '2026-05-04T12:00:00.000Z'
                  path:
                    type: string
                    example: /v1/actions
                  message:
                    type: string
                    example: Rate limit exceeded
                  details:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Rate limit exceeded
                      code:
                        type: string
                        example: RATE_LIMIT_EXCEEDED
                      error:
                        type: string
                        example: Too Many Requests
                      retryAfter:
                        type: number
                        example: 30
      security:
        - ApiKey: []
components:
  schemas:
    MarketDetailDto:
      type: object
      properties:
        id:
          type: string
          description: Market ID
          example: hyperliquid-eth-usdc
        providerId:
          type: string
          description: Provider ID
          example: hyperliquid
        baseAsset:
          description: Base asset information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        quoteAsset:
          description: Quote asset information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        leverageRange:
          description: Leverage range [min, max]
          example:
            - 1
            - 50
          type: array
          items:
            type: number
        supportedMarginModes:
          type: array
          description: Supported margin modes
          items:
            type: string
            enum:
              - isolated
              - cross
        markPrice:
          type: number
          description: Current mark price
        oraclePrice:
          type: number
          description: Oracle/index price
        priceChange24h:
          type: number
          description: Absolute price change in 24h
          example: -1.233
        priceChangePercent24h:
          type: number
          description: Percentage price change in 24h
          example: -5.01
        volume24h:
          type: number
          description: 24h trading volume in quote asset (e.g., USDC)
        openInterest:
          type: number
          description: >-
            Open interest in base asset units (e.g., number of ETH coins, not
            USD notional)
        makerFee:
          type: string
          description: Maker fee rate
          example: '0.0002'
        takerFee:
          type: string
          description: Taker fee rate
          example: '0.0004'
        fundingRate:
          type: string
          description: Current funding rate
          example: '0.00012'
        fundingRateIntervalHours:
          type: number
          description: Funding rate interval in hours
          example: 8
        minSize:
          type: number
          description: >-
            Minimum position size in USD (notional) computed at the current mark
            price. Typically prevents rejection for being below the $10 minimum,
            but actual executed notional may differ due to limit/market slippage
            or price quantization.
          example: 10.22
        metadata:
          description: Market metadata
          allOf:
            - $ref: '#/components/schemas/MarketMetadataDto'
        chartConfig:
          description: Chart display configuration
          allOf:
            - $ref: '#/components/schemas/ChartConfigDto'
      required:
        - id
        - providerId
        - baseAsset
        - quoteAsset
        - leverageRange
        - supportedMarginModes
        - markPrice
        - oraclePrice
        - priceChange24h
        - priceChangePercent24h
        - volume24h
        - openInterest
        - fundingRate
        - fundingRateIntervalHours
        - minSize
        - metadata
        - chartConfig
    TokenDto:
      type: object
      properties:
        symbol:
          type: string
          description: Token symbol
          example: ETH
        name:
          type: string
          description: Token name
          example: Ethereum
        network:
          description: Blockchain network
          example: hyperliquid
          allOf:
            - $ref: '#/components/schemas/Networks'
        decimals:
          type: number
          description: Token decimals
          example: 6
        address:
          type: string
          description: Token contract address (optional for native tokens)
          example: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831'
        logoURI:
          type: string
          description: Token logo URI
      required:
        - symbol
        - network
    MarketMetadataDto:
      type: object
      properties:
        name:
          type: string
          description: Market name
          example: ETH-USDC Perpetual
        logoURI:
          type: string
          description: Market logo URI
        url:
          type: string
          description: Market URL
      required:
        - name
        - logoURI
        - url
    ChartConfigDto:
      type: object
      properties:
        pricescale:
          type: number
          description: Price scale (e.g., 100 for 2 decimals, 10000 for 4)
          example: 100
        minmov:
          type: number
          description: Minimum price movement (usually 1)
          example: 1
        supportedResolutions:
          description: Supported chart resolutions
          example:
            - '1'
            - '5'
            - '15'
            - '60'
            - '240'
            - 1D
          type: array
          items:
            type: string
        hasIntraday:
          type: boolean
          description: Whether intraday data is supported
          example: true
        hasDaily:
          type: boolean
          description: Whether daily data is supported
          example: true
      required:
        - pricescale
        - minmov
        - supportedResolutions
        - hasIntraday
        - hasDaily
    Networks:
      type: string
      enum:
        - ethereum
        - ethereum-goerli
        - ethereum-holesky
        - ethereum-sepolia
        - ethereum-hoodi
        - arbitrum
        - base
        - base-sepolia
        - gnosis
        - optimism
        - polygon
        - polygon-amoy
        - starknet
        - zksync
        - linea
        - unichain
        - plume
        - monad-testnet
        - monad
        - robinhood
        - robinhood-testnet
        - arc-testnet
        - arc
        - avalanche-c
        - avalanche-c-atomic
        - avalanche-p
        - binance
        - celo
        - fantom
        - harmony
        - moonriver
        - okc
        - viction
        - core
        - sonic
        - plasma
        - katana
        - hyperevm
        - tempo
        - pharos
        - agoric
        - akash
        - axelar
        - band-protocol
        - bitsong
        - canto
        - chihuahua
        - comdex
        - coreum
        - cosmos
        - crescent
        - cronos
        - cudos
        - desmos
        - dydx
        - evmos
        - fetch-ai
        - gravity-bridge
        - injective
        - irisnet
        - juno
        - kava
        - ki-network
        - mars-protocol
        - nym
        - okex-chain
        - onomy
        - osmosis
        - persistence
        - quicksilver
        - regen
        - secret
        - sentinel
        - sommelier
        - stafi
        - stargaze
        - stride
        - teritori
        - tgrade
        - umee
        - sei
        - mantra
        - celestia
        - saga
        - zetachain
        - dymension
        - humansai
        - neutron
        - polkadot
        - kusama
        - westend
        - bittensor
        - aptos
        - binancebeacon
        - cardano
        - near
        - solana
        - solana-devnet
        - stellar
        - stellar-testnet
        - sui
        - tezos
        - tron
        - ton
        - ton-testnet
        - hyperliquid
      description: Blockchain network
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.